#!/system/bin/sh

echo "Part 2 Finished."
echo " "
echo "Continuing to Part 3"
echo " "
sleep 3
echo "Welcome to DarkOnion Root Part 3"
sleep 3
echo " "
cd /
echo "Mounting"
mount -o rw,remount -t ext3 /dev/block/mmcblk1p21 /system
echo "  "
echo "Copying Superuser.apk"
cp /sdcard/Superuser.apk /system/app/Superuser.apk
echo " "
echo "Copying su"
cp /sdcard/su /system/bin/su
echo " "
echo "Copying busybox"
cp /sdcard/busybox /system/bin/busybox
echo " "
chmod 4755 /system/bin/su
chmod 4755 /system/bin/busybox
echo " "
echo "Dismounting"
mount -o ro,remount -t ext3 /dev/block/mmcblk1p21 /system
echo " "
echo "Congralations, you should now be rooted."
echo "Enter exit once to exit terminal."
